Page MenuHomePhabricator

New approved projects
Closed, ResolvedPublic

Description

Author: Gerard.meijssen

Description:
Hoi,
The following projects have been approved:

  • Sorani Wikipedia = ckb
  • Western Panjabi Wikipedia = pnb
  • Mirandese Wikipedia = mwl
  • Acehnese Wikipedia = ace
  • Turkish Wikinews = tr

Thanks,

GerardM

Version: unspecified
Severity: enhancement

Details

Reference
bz20181

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:57 PM
bzimport set Reference to bz20181.
bzimport created this task.Aug 11 2009, 7:10 PM
RobH added a comment.Aug 12 2009, 7:44 PM

All the above requested projects have been pushed live and are functional. However, it appears there is some negative DNS caching on ckb.wikipedia.org and pnb.wikipedia.org. Basically someone, someplace, typed that in before they were setup. It is no big deal, the DNS cache just has to expire. That may take up to an hour or so, it has been corrected on WMF DNS servers, but other DNS servers may already have the negative cache.

It will resolve and the projects are functional!

erdal.ronahi wrote:

Sorani (http://ckb.wikipedia.org/) is written in the Arabic script. Therefore the wiki has to have a right-to-left layout. Should I file a new bug for that or reopen this one?

MessagesCkb_arab.php was missing the RTL setup for the language config. Added that in trunk in r54910; should be merged to deployment shortly...

Ok, that seems to be worked out now. :)

bugs wrote:

(In reply to comment #3)

MessagesCkb_arab.php was missing the RTL setup for the language config. Added
that in trunk in r54910; should be merged to deployment shortly...

Is it the same case for pnbwiki too? It's in Arab script...

brion added a comment.Aug 13 2009, 1:09 AM

Same problem with pnbwiki too; the localization file was incomplete. Fixed in r54915 on trunk and merged to wmf-deployment and deployed, looks good now.

Wiki.Melancholie wrote:

Re-opening, as interwiki link prefixes are missing.
So, the following links do not work:

Wikinews works well, though:

  • [[n:tr:Test]]

Wiki.Melancholie wrote:

Beside comment #7, also note that the logo for trwikinews is missing.

http://upload.wikimedia.org/wikinews/tr/b/bc/Wiki.png is nonexistent.
Isn't there a standard/default logo without text? Or maybe the English one?

Wiki.Melancholie wrote:

Beside comment #7 and comment #8, also note that on import:

Can [[../Foobar/]] links be transformed by a server script, or should it be done by a bot?

Gerard.meijssen wrote:

Hoi,
The interwiki link functionality has been created by Raymond.
Thanks,

GerardM

(In reply to comment #10)

Hoi,
The interwiki link functionality has been created by Raymond.
Thanks,

GerardM

I am not sure that my commit r54918 fixes the interwiki issue immediatly. I think there has to run a sript to apply it.

erdal.ronahi wrote:

For me, it does not fix the interwiki issue. <nowiki>[[ckb:]]</nowiki> on the Kurdish main page is without effect.

RobH added a comment.Aug 13 2009, 6:54 PM

I just ran an update to the interwiki cache, so it should be working now. The logo issue is being addressed in its own ticket already.

Wiki.Melancholie wrote:

... should be working now.

Still doesn't work, it seems. Don't think that it's just a cache issue.
You can use http://als.wikipedia.org/w/index.php?title=User:MelancholieBot/red2blue&diff=219201&random=0815 to check if it is working (see also comment #7). Is there another place where the lang prefixes would have to be added?
http://svn.wikimedia.org/viewvc/mediawiki/branches/wmf-deployment/languages/Names.php?view=markup actually contains the names, is there a backend to/for this file?

Wiki.Melancholie wrote:

L comment #14


The logo issue is being addressed in its own ticket already.

Do you mean bug 20215?
But new created Wikinews wikis should have a standard/default logo like Wikipedias/Wikibooks have from creation on.
WP path: /images/wiki-en.png
WB path: http://upload.wikimedia.org/wikipedia/commons/4/49/Wikibooks-logo-en-noslogan.png
A missing logo for every new Wikinews isn't desirable. Maybe also needed for other projects.

Wiki.Melancholie wrote:

Some bots are already adding redlinks now, see [[Special:Contributions/JAnDbot]] e.g.
Please fix the interwiki link issue.

Wiki.Melancholie wrote:

Re-closing.
See also bug 20214 ("Add ace, ckb, mwl, pnb to interwiki table") for the interwiki issue.